{% load static %}

<head>
  <title>{{items_title}}</title>

  {% include 'sub_templates/base.html' %}
  {{'caja_negra/imagenes.scss'|css_compiler|safe}}

  <script type="text/javascript">
    $( document ).ready( function (){
      $("form").bind("keydown", function(e) {
        if (e.keyCode === 13) return false;
      });
      move_selected_zone();
    })

    function action_test_selected(data){
      window.location.href = 'http://'+window.location.host+'/{{project_id}}/caja_negra/imagenes/'+data;
    }

    function move_selected_zone(){
      $('.selected-image-clickzone').css('left','calc(50% + '+ $('#ejeX').val() +'px)');
      $('.selected-image-clickzone').css('top','calc(50% + '+ $('#ejeY').val() +'px)');
    }
  </script>
</head>

<body>
  {% include 'sub_templates/left_nav_bar.html' %}

  <div class="content">
    <div class="position-absolute" style="width: 2.6rem;">
      <a href="/{{project_id}}/caja_negra">{{'arrow-left-solid.svg'|svgColor:'var(--secondary)'|safe}}</a>
    </div>
    <div class="title">
      {{title}}
    </div>
    <div class="container centerY">
      <div class="selected-image-content">
        <div class="selected-image-container center">
          <div class="selected-image center">
            <img src="{% static 'assets/button_example.png' %}">
          </div>
          <div class="selected-image-clickzone" draggable="true">
            {{'mouse-pointer-solid.svg'|svgColor:'#ff0000b0'|safe}}
          </div>
        </div>
      </div>
        
      <div class="selected-image-form">
        <form id="image-data-form" class="centerX" method="POST" action="/images/update">
          {% csrf_token %}
          <div class="container">
            <div class="row form-group">
              <label class="col-sm-3 col-form-label text-right">Nombre</label>
              <div class="col-sm-9">
                <input type="text" name="name" class="form-control" id="staticEmail" placeholder="Un nombre representativo para esta imagen" required>
              </div>
            </div>
            <div class="row">
              <label class="col-sm-3 col-form-label text-right">
                <label class="position-relative mr-2" style="width: 1.3rem; cursor: help;" data-toggle="tooltip" data-placement="left" data-html="true" 
                  title="Al asignar valores en estas casillas, al momento de ejecutar una automatización que contenga esta imagen, la prueba hará clic en la posición seleccionada en vez del centro de la imagen<br>
                  Esto puede ser especialmente útil cuando se desea hacer clic en la casilla de un formulario.">
                  {{'question-circle-regular.svg'|svgColor:'var(--secondary)'|safe}}
                </label>
                Selección Clic
              </label>
              <div class="col-sm-9">
                <input type="number" id="ejeX" name="ejeX" step="5" onchange="move_selected_zone()" class="form-control" placeholder="Desplazamiento en eje X">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3"></div>
              <div class="col-sm-9">
                <input type="number" id="ejeY" name="ejeY" step="5" onchange="move_selected_zone()" class="form-control" placeholder="Desplazamiento en eje Y">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-3"></div>
              <div class="col-sm-9">
                <button type="submit" class="btn btn-info">Guardar</button>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>

  <!-- Modal agregar imagen -->
  <div class="modal fade" id="new-test" tabindex="-1" role="dialog" aria-labelledby="new-test-title" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="new-test-title">Subir nueva imagen</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <form class="modal-body" id="new-test-form" enctype="multipart/form-data" method="POST" action="/images/create">
          {% csrf_token %}
          <div class="container">
            <div class="row form-group">
              <label class="col-sm-2 col-form-label">Titulo</label>
              <div class="col-sm-10">
                <input type="text" name="title" class="form-control" placeholder="Ej: Boton Iniciar Sesion" required>
              </div>
            </div>
            <div class="row form-group">
              <label class="col-sm-2 col-form-label">Seccion</label>
              <div class="col-sm-10">
                <select name="section" class="custom-select" required>
                  <option value="" selected>Seleccionar una seccion</option>
                  {% for section in sections %}
                  <option value="{{section.id}}">{{section.title}}</option>
                  {% endfor %}
                </select>
              </div>
            </div>
          </div>
          <div class="custom-file">
            <input id="customFile" type="file" class="custom-file-input" lang="es" name="file" required>
            <label for="customFile" class="custom-file-label text-truncate">Seleccionar una imagen</label>
          </div>
        </form>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-primary" form="new-test-form">Añadir</button>
        </div>
      </div>
    </div>
  </div>

</body>